{
  num: 873,
  accuracy: 100,
  basePower: 90,
  category: "Physical",
  name: "Raging Bull",
  pp: 10,
  priority: 0,
  flags: { contact: 1, protect: 1, mirror: 1 },
  onTryHit(pokemon) {
    pokemon.side.removeSideCondition("reflect");
    pokemon.side.removeSideCondition("lightscreen");
    pokemon.side.removeSideCondition("auroraveil");
  },
  onModifyType(move, pokemon) {
    switch (pokemon.species.name) {
      case "Tauros-Paldea-Combat":
        move.type = "Fighting";
        break;
      case "Tauros-Paldea-Blaze":
        move.type = "Fire";
        break;
      case "Tauros-Paldea-Aqua":
        move.type = "Water";
        break;
      case "Granbull":
        move.type = "Fairy";
        break;
    }
  },
  secondary: null,
  target: "normal",
  type: "Normal"
} 